Name: icu54
Version: 5.4.1
Release: alt0.M80P.1
Summary: International Components for Unicode
Group: System/Libraries
License: X License
URL: http://www.icu-project.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: http://download.icu-project.org/files/icu4c/54.1/icu4c-54_1-src.tgz
# https://bugs.gentoo.org/show_bug.cgi?id=439892
Patch: libicu-5.1-up-disable_c++11_test.patch
Patch1: icu-5.1.1-alt-fix.patch

BuildRequires: doxygen gcc-c++ libstdc++-devel

%define libicu libicu54

%description
ICU is a C++ and C library that provides robust and full-featured Unicode
support

%package -n %libicu
Summary: International Components for Unicode (libraries)
Group: System/Libraries

%description -n %libicu
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the runtime libraries for ICU

%prep
%setup -n icu
#patch -p1
#patch1 -p2

%build
cd source
%autoreconf
%configure \
	--disable-samples \
	--disable-static
%make_build

%install
cd source
%makeinstall_std

%files -n %libicu
%_libdir/*.so.*

%changelog
* Tue Mar 21 2017 Andrey Cherepanov <cas@altlinux.org> 5.4.1-alt0.M80P.1
- Build libicu54 for legacy software (ex. .NET Core for Fedora 23)

